{
	"name": "DeepOil",
	"appid": "__UNI__6E4BC49",
	"description": "",
	"versionName": "1.2.9",
	"versionCode": 10209,
	"transformPx": false,
	/* 5+App特有相关 */
	"app-plus": {
		"usingComponents": true,
		"nvueStyleCompiler": "uni-app",
		"compilerVersion": 3,
		"splashscreen": {
			"alwaysShowBeforeRender": true,
			"waiting": true,
			"autoclose": true,
			"delay": 0
		},
		"webpack": {
			"externals": {
				"dingtalk-jsapi": "dingtalk-jsapi" // 告诉 webpack 不打包该依赖
			}
		},
		/* 模块配置 */
		"modules": {
			"VideoPlayer": {
				"enabled": true,
				"mode": "default",
				"orientation": "auto",
				"background": "#000000",
				"controls": true,
				"autoPlay": false,
				"loop": false,
				"showFullscreenBtn": true,
				"showPlayBtn": true,
				"showCenterPlayBtn": true,
				"showProgress": true,
				"objectFit": "contain"
			},
			"SQLite": {}
		},
		/* 应用发布信息 */
		"distribute": {
			/* sdk */
			"sdkConfigs": {
				"oauth": {
					"dingtalk": {
						"appid": "dingcrhejkptu0mcsw3r",
						"universalLinks": "http://1.94.244.160:70/"
					}
				}
			},
			/* android打包配置 */
			"android": {
				"permissions": [
					"<uses-feature android:name=\"android.hardware.camera\"/>",
					"<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
					"<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
					"<uses-permission android:name=\"android.permission.VIBRATE\"/>",
					"<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
					"<uses-permission android:name=\"android.permission.ACCESS_MOCK_LOCATION\"/>",
					"<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
					"<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
					// "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
					"<uses-permission android:name=\"android.permission.CAMERA\"/>",
					"<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
					"<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
					"<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
					"<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
					"<uses-permission android:name=\"android.permission.GET_TASKS\"/>",
					"<uses-permission android:name=\"android.permission.INTERNET\"/>",
					"<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
					"<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
					"<uses-permission android:name=\"android.permission.READ_CONTACTS\"/>",
					"<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
					"<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
					"<uses-permission android:name=\"android.permission.READ_SMS\"/>",
					"<uses-permission android:name=\"android.permission.RECEIVE_BOOT_COMPLETED\"/>",
					"<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
					"<uses-permission android:name=\"android.permission.SEND_SMS\"/>",
					"<uses-permission android:name=\"android.permission.SYSTEM_ALERT_WINDOW\"/>",
					"<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
					"<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>",
					"<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
					"<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>",
					"<uses-permission android:name=\"android.permission.WRITE_SMS\"/>",
					"<uses-permission android:name=\"android.permission.RECEIVE_USER_PRESENT\"/>"
				],
				"schemes": "deepoil"
			},
			/* ios打包配置 */
			"ios": {
				"dSYMs": false
			},
			/* SDK配置 */
			"sdkConfigs__UNI__6E4BC49\t": {},
			"splashscreen": {
				"useOriginalMsgbox": false
			}
		}
	},
	/* 快应用特有相关 */
	"quickapp": {},
	/* 小程序特有相关 */
	"mp-weixin": {
		"appid": "",
		"setting": {
			"urlCheck": false
		},
		"usingComponents": true
	},
	"mp-alipay": {
		"usingComponents": true
	},
	"mp-baidu": {
		"usingComponents": true
	},
	"mp-toutiao": {
		"usingComponents": true
	},
	"uniStatistics": {
		"enable": false
	},
	"vueVersion": "3",
	"h5": {
		"router": {
			"base": "./"
		}
	}
}